<template>
  <div class="flex flex-row items-center p-2 gap-x-1 border border-darkGrey bg-veryLightGrey rounded-[8px]">
    <Icon
      :icon="icon"
      height="16"
      width="16"
    />

    <p class="text-darkGrey text-xs font-normal">
      {{ text }}
      <span>
        {{ appendText }}
      </span>
    </p>
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";

const props = defineProps({
  icon: { type: String, default: '' },
  text: { type: Number, default: '' },
  appendText: { type: String, default: '' }
})
</script>